import { WorkCharacter } from './work-character';
import { Column, Entity, ManyToOne, PrimaryGeneratedColumn } from 'typeorm';

@Entity()
export class WorkCharacterName implements IIdentifiableEntity, INameEntity {
  @PrimaryGeneratedColumn()
  public id: number;

  @ManyToOne(
    () => WorkCharacter,
    (workCharacter: WorkCharacter) => workCharacter.names,
    {
      nullable: false,
      onDelete: 'CASCADE',
      onUpdate: 'CASCADE',
    }
  )
  public entity: Promise<WorkCharacter>;

  @Column({
    nullable: false,
  })
  public name: string;
}
