import { World } from './world';
import { Column, Entity, ManyToOne, PrimaryGeneratedColumn } from 'typeorm';

@Entity()
export class WorldName implements IIdentifiableEntity, INameEntity {
  @PrimaryGeneratedColumn()
  public id: number;

  @ManyToOne(
    () => World,
    (world: World) => world.names,
    {
      nullable: false,
      onDelete: 'CASCADE',
      onUpdate: 'CASCADE',
    }
  )
  public entity: Promise<World>;

  @Column({
    nullable: false,
  })
  public name: string;
}
